import React, { FC, useEffect } from 'react';
import axios from 'axios';
import Container from '@material-ui/core/Container';
import { SignInForm } from './SignInForm/SignInForm';

export const AuthUser: FC = () => {
  useEffect(() => {
    axios
      .get('api/web/csrf')
      .then((response) =>
        sessionStorage.setItem('CSRF_TOKEN', response.data.token),
      )
      .catch((error) => console.log(error));
  }, []);
  return (
    <Container maxWidth="sm">
      <SignInForm />
    </Container>
  );
};
